libterm-ui-perl_0.42-1_all.deb


Advertisement

Description

libterm-ui-perl - Term::ReadLine UI made easy

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libterm-ui-perl
Package version 0.42
Package release 1
Package architecture all
Package type deb
Installed size 79 B
Download size 18.70 KB
Official Mirror ftp.br.debian.org
Term::UI is a transparent way of eliminating the overhead of having to format
a question and then validate the reply, informing the user if the answer was
not proper and re-issuing the question.
Simply give it the question you want to ask, optionally with choices the user
can pick from and a default and Term::UI will DWYM.
For asking a yes or no question, there's even a shortcut.

Alternatives

Package Version Architecture Repository
libterm-ui-perl_0.42-1_all.deb 0.42 all Debian Main
libterm-ui-perl - - -

Requires

Name Value
liblog-message-simple-perl -
perl -
perl << 5.17

Download

Type URL
Binary Package libterm-ui-perl_0.42-1_all.deb
Source Package libterm-ui-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libterm-ui-perl deb package:
    # sudo apt-get install libterm-ui-perl

Files

Path
/usr/share/doc/libterm-ui-perl/changelog.Debian.gz
/usr/share/doc/libterm-ui-perl/changelog.gz
/usr/share/doc/libterm-ui-perl/copyright
/usr/share/man/man3/Term::UI.3pm.gz
/usr/share/man/man3/Term::UI::History.3pm.gz
/usr/share/perl5/Term/UI.pm
/usr/share/perl5/Term/UI/History.pm

Changelog

2014-01-04 - Salvatore Bonaccorso <carnil@debian.org>
libterm-ui-perl (0.42-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 0.42
* Declare compliance with Debian policy 3.9.5
2013-09-28 - Axel Beckert <abe@debian.org>
libterm-ui-perl (0.38-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Add Build-Depends-Indep and Depends on "liblog-message-simple-perl |
perl (<< 5.17)" (Closes: #724532)
2013-07-26 - gregor herrmann <gregoa@debian.org>
libterm-ui-perl (0.36-1) unstable; urgency=low
* New upstream release.
2013-05-20 - gregor herrmann <gregoa@debian.org>
libterm-ui-perl (0.34-1) unstable; urgency=low
* Initial Release. (Closes: #707985)

See Also

Package Description
libterm-visual-perl_0.08-2_all.deb split-terminal user interface for Perl
libterm-vt102-perl_0.91-1_all.deb module to emulate a DEC VT102 terminal
libterralib-dev_4.3.0+dfsg.1-2+deb8u1_amd64.deb C++ library for Geographical Information Systems -- development package
libterralib-doc_4.3.0+dfsg.1-2+deb8u1_all.deb C++ library for Geographical Information Systems -- documentation package
libterralib_4.3.0+dfsg.1-2+deb8u1_amd64.deb C++ library for Geographical Information Systems
libtesseract-dev_3.03.03-1_amd64.deb Development files for the tesseract command line OCR tool
libtesseract3_3.03.03-1_amd64.deb Command line OCR tool
libtest-aggregate-perl_0.371-1_all.deb module for aggregating tests to make them run faster
libtest-api-perl_0.005-1_all.deb test a list of subroutines provided by a module
libtest-assertions-perl_1.054-2_all.deb simple set of building blocks for unit and runtime testing
libtest-autoloader-perl_0.03-2_all.deb testing utility for autosplit/autoloaded modules
libtest-base-perl_0.79-1_all.deb data driven testing framework for Perl
libtest-bdd-cucumber-perl_0.31-1_all.deb Cucumber-style acceptance testing framework in Perl
libtest-block-perl_0.13-1_all.deb module for specifying tests with a finer granularity
libtest-carp-perl_0.2-1_all.deb module to test your code for calls to Carp functions
Advertisement
Advertisement